import request from '@/utils/request'

// 查询支付服务商列表
export function listProvider(query) {
  return request({
    url: '/pay/payProvider/list',
    method: 'get',
    params: query
  })
}

// 查询支付服务商列表
export function listProviderAll() {
  return request({
    url: '/pay/payProvider/listAll',
    method: 'get'
  })
}

// 查询支付服务商详细
export function getProvider(id) {
  return request({
    url: '/pay/payProvider/' + id,
    method: 'get'
  })
}

// 新增支付服务商
export function addProvider(data) {
  return request({
    url: '/pay/payProvider',
    method: 'post',
    data: data
  })
}

// 修改支付服务商
export function updateProvider(data) {
  return request({
    url: '/pay/payProvider',
    method: 'put',
    data: data
  })
}

// 删除支付服务商
export function delProvider(id) {
  return request({
    url: '/pay/payProvider/' + id,
    method: 'delete'
  })
}

// 锁定支付服务商
export function lockProvider(id) {
  return request({
    url: '/pay/payProvider/lock/' + id,
    method: 'post'
  })
}
